### Method

# FwupdPlugin Firmware get_chunks

since: 1.6.0

#### Declaration [src]

    GPtrArray*
    fu_firmware_get_chunks (
      FuFirmware* self
      GError** error
    )

#### Description [src]

Gets the optional image chunks.

Available since: 1.6.0

#### Return value

Type: An array of `FuChunk*`

Chunk data, or `NULL`.

The caller of the method takes ownership of the data container, but not the data inside it.
The return value can be `NULL`.